config/routes.rb
Rails.application.routes.draw do
  resources :contatos
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/contato.rb
class Contato < ApplicationRecord
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
end

app/controllers/contatos_controller.rb
class ContatosController < ApplicationController
  before_action :set_contato, only: [:show, :edit, :update, :destroy]

  # GET /contatos
  # GET /contatos.json
  def index
    @contatos = Contato.all
  end

  # GET /contatos/1
  # GET /contatos/1.json
  def show
  end

  # GET /contatos/new
  def new
    @contato = Contato.new
  end

  # GET /contatos/1/edit
  def edit
  end

  # POST /contatos
  # POST /contatos.json
  def create
    @contato = Contato.new(contato_params)

    respond_to do |format|
      if @contato.save
        format.html { redirect_to @contato, notice: 'Contato was successfully created.' }
        format.json { render :show, status: :created, location: @contato }
      else
        format.html { render :new }
        format.json { render json: @contato.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /contatos/1
  # PATCH/PUT /contatos/1.json
  def update
    respond_to do |format|
      if @contato.update(contato_params)
        format.html { redirect_to @contato, notice: 'Contato was successfully updated.' }
        format.json { render :show, status: :ok, location: @contato }
      else
        format.html { render :edit }
        format.json { render json: @contato.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /contatos/1
  # DELETE /contatos/1.json
  def destroy
    @contato.destroy
    respond_to do |format|
      format.html { redirect_to contatos_url, notice: 'Contato was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_contato
      @contato = Contato.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def contato_params
      params.require(:contato).permit(:nome, :telefone)
    end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/contatos_helper.rb
module ContatosHelper
end

app/views/contatos/_form.html.erb
<%= form_with(model: contato, local: true) do |form| %>
  <% if contato.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(contato.errors.count, "error") %> prohibited this contato from being saved:</h2>

      <ul>
      <% contato.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :nome %>
    <%= form.text_field :nome %>
  </div>

  <div class="field">
    <%= form.label :telefone %>
    <%= form.text_field :telefone %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>

app/views/contatos/edit.html.erb
<h1>Editing Contato</h1>

<%= render 'form', contato: @contato %>

<%= link_to 'Show', @contato %> |
<%= link_to 'Back', contatos_path %>

app/views/contatos/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Contatos</h1>

<table>
  <thead>
    <tr>
      <th>Nome</th>
      <th>Telefone</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @contatos.each do |contato| %>
      <tr>
        <td><%= contato.nome %></td>
        <td><%= contato.telefone %></td>
        <td><%= link_to 'Show', contato %></td>
        <td><%= link_to 'Edit', edit_contato_path(contato) %></td>
        <td><%= link_to 'Destroy', contato, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Contato', new_contato_path %>

app/views/contatos/new.html.erb
<h1>New Contato</h1>

<%= render 'form', contato: @contato %>

<%= link_to 'Back', contatos_path %>

app/views/contatos/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Nome:</strong>
  <%= @contato.nome %>
</p>

<p>
  <strong>Telefone:</strong>
  <%= @contato.telefone %>
</p>

<%= link_to 'Edit', edit_contato_path(@contato) %> |
<%= link_to 'Back', contatos_path %>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>PrimeiroProjeto</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <%= yield %>
  </body>
</html>